com.creamtec.ajaxswing.gui.peer

## Class AjaxSwingWindowPeer

- java.lang.Object
- - com.creamtec.ajaxswing.gui.peer.AjaxSwingComponentPeer
  - - com.creamtec.ajaxswing.gui.peer.AjaxSwingContainerPeer
    - - com.creamtec.ajaxswing.gui.peer.AjaxSwingWindowPeer

- All Implemented Interfaces:
    java.awt.peer.ComponentPeer, java.awt.peer.ContainerPeer, java.awt.peer.WindowPeer
  Direct Known Subclasses:
    AjaxSwingDialogPeer, AjaxSwingFramePeer

      public class AjaxSwingWindowPeer
      extends AjaxSwingContainerPeer
      implements java.awt.peer.WindowPeer

- - ### Field Summary

    - ### Fields inherited from interface java.awt.peer.ComponentPeer

      `DEFAULT_OPERATION, NO_EMBEDDED_CHECK, RESET_OPERATION, SET_BOUNDS, SET_CLIENT_SIZE, SET_LOCATION, SET_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AjaxSwingWindowPeer(java.awt.Window window)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AjaxSwingThread` | `getMyThread()`
    `int` | `handleFocusTraversalEvent(java.awt.event.KeyEvent keyevent)` Implementation copied from AWT
    `void` | `hide()`
    `void` | `repositionSecurityWarning()`
    `boolean` | `requestWindowFocus()`
    `void` | `setAlwaysOnTop(boolean alwaysOnTop)`
    `void` | `setBounds(int x, int y, int width, int height, int operation)` Central method for setting peer bounds
    `void` | `setModalBlocked(java.awt.Dialog blocker, boolean blocked)`
    `void` | `setOpacity(float opacity)`
    `void` | `setOpaque(boolean isOpaque)`
    `void` | `show()`
    `void` | `toBack()`
    `void` | `toFront()`
    `void` | `updateAlwaysOnTop()`
    `void` | `updateAlwaysOnTopState()`
    `void` | `updateFocusableWindowState()`
    `void` | `updateIconImages()`
    `void` | `updateMinimumSize()`
    `void` | `updateWindow()`
    `void` | `updateWindow(java.awt.image.BufferedImage backBuffer)`

    - ### Methods inherited from class com.creamtec.ajaxswing.gui.peer.AjaxSwingContainerPeer

      `beginLayout, beginValidate, cancelPendingPaint, endLayout, endValidate, getInsets, insets, isPaintPending, isRestackSupported, restack`

    - ### Methods inherited from class com.creamtec.ajaxswing.gui.peer.AjaxSwingComponentPeer

      `applyShape, canDetermineObscurity, checkImage, coalescePaintEvent, createBuffers, createDelegate, createImage, createImage, createVolatileImage, destroyBuffers, disable, dispose, enable, flip, flip, getAppropriateGraphicsConfiguration, getBackBuffer, getBounds, getColorModel, getDelegate, getDelegateComponent, getFontMetrics, getGraphics, getGraphicsConfiguration, getImage, getLocationOnScreen, getMinimumSize, getPreferredSize, getTarget, getToolkit, handleEvent, handlesWheelScrolling, isFocusable, isFocusTraversable, isObscured, isReparentSupported, layout, minimumSize, paint, preferredSize, prepareImage, print, repaint, reparent, requestFocus, requestFocus, requestFocus, reshape, setBackground, setBounds, setBounds, setCursor, setDelegate, setDelegateComponent, setEnabled, setFont, setForeground, setTarget, setVisible, setZOrder, updateCursorImmediately, updateGraphicsData`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.awt.peer.ContainerPeer

      `beginLayout, beginValidate, endLayout, endValidate, getInsets`

    - ### Methods inherited from interface java.awt.peer.ComponentPeer

      `applyShape, canDetermineObscurity, checkImage, coalescePaintEvent, createBuffers, createImage, createImage, createVolatileImage, destroyBuffers, dispose, flip, getBackBuffer, getColorModel, getFontMetrics, getGraphics, getGraphicsConfiguration, getLocationOnScreen, getMinimumSize, getPreferredSize, getToolkit, handleEvent, handlesWheelScrolling, isFocusable, isObscured, isReparentSupported, layout, paint, prepareImage, print, reparent, requestFocus, setBackground, setEnabled, setFont, setForeground, setVisible, setZOrder, updateCursorImmediately, updateGraphicsData`

- - ### Constructor Detail

    - #### AjaxSwingWindowPeer

          public AjaxSwingWindowPeer(java.awt.Window window)

  - ### Method Detail

    - #### toFront

          public void toFront()

      Specified by:
        `toFront` in interface `java.awt.peer.WindowPeer`

    - #### toBack

          public void toBack()

      Specified by:
        `toBack` in interface `java.awt.peer.WindowPeer`

    - #### show

          public void show()

      Overrides:
        `show` in class `AjaxSwingComponentPeer`

    - #### hide

          public void hide()

      Overrides:
        `hide` in class `AjaxSwingComponentPeer`

    - #### setBounds

          public void setBounds(int x,
                       int y,
                       int width,
                       int height,
                       int operation)

      Description copied from class: `AjaxSwingComponentPeer`
      Central method for setting peer bounds
      Specified by:
        `setBounds` in interface `java.awt.peer.ComponentPeer`
      Overrides:
        `setBounds` in class `AjaxSwingComponentPeer`

    - #### handleFocusTraversalEvent

          public int handleFocusTraversalEvent(java.awt.event.KeyEvent keyevent)

      Implementation copied from AWT

    - #### getMyThread

          public AjaxSwingThread getMyThread()

    - #### requestWindowFocus

          public boolean requestWindowFocus()

    - #### updateAlwaysOnTop

          public void updateAlwaysOnTop()

    - #### updateFocusableWindowState

          public void updateFocusableWindowState()

      Specified by:
        `updateFocusableWindowState` in interface `java.awt.peer.WindowPeer`

    - #### setAlwaysOnTop

          public void setAlwaysOnTop(boolean alwaysOnTop)

    - #### setModalBlocked

          public void setModalBlocked(java.awt.Dialog blocker,
                             boolean blocked)

      Specified by:
        `setModalBlocked` in interface `java.awt.peer.WindowPeer`

    - #### updateIconImages

          public void updateIconImages()

      Specified by:
        `updateIconImages` in interface `java.awt.peer.WindowPeer`

    - #### updateMinimumSize

          public void updateMinimumSize()

      Specified by:
        `updateMinimumSize` in interface `java.awt.peer.WindowPeer`

    - #### setOpacity

          public void setOpacity(float opacity)

      Specified by:
        `setOpacity` in interface `java.awt.peer.WindowPeer`

    - #### setOpaque

          public void setOpaque(boolean isOpaque)

      Specified by:
        `setOpaque` in interface `java.awt.peer.WindowPeer`

    - #### updateWindow

          public void updateWindow(java.awt.image.BufferedImage backBuffer)

    - #### repositionSecurityWarning

          public void repositionSecurityWarning()

      Specified by:
        `repositionSecurityWarning` in interface `java.awt.peer.WindowPeer`

    - #### updateWindow

          public void updateWindow()

      Specified by:
        `updateWindow` in interface `java.awt.peer.WindowPeer`

    - #### updateAlwaysOnTopState

          public void updateAlwaysOnTopState()

      Specified by:
        `updateAlwaysOnTopState` in interface `java.awt.peer.WindowPeer`

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.